/*  creator：IERP
请注意数据库属于资金库：dbkey="tmc"
示例：<SqlScript dbkey="tmc" Separator=";" Type="KSQL">preinsdata/kd_X.X.X_fcs_suspectset.sql</SqlScript> 
********************************************************************* 
*/ 
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472356627679030272;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCHECKOP,FCTRLTYPE) VALUES (1472356627679030272,'bei_banktransdownbill',' ','bei_transdetail','保存；',1472356627679030272,'C','012','银行下拨单vs交易明细',' ','1','存在重复数据，不允许打回/失败重付/提交银企','提交银企；',',commitbe,',',save,','control');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472343787740081152;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCHECKOP,FCTRLTYPE) VALUES (1472343787740081152,'bei_bankagentpay',' ','bei_transdetail','保存；',1472343787740081152,'C','006','银行代发单vs交易明细',' ','1','存在重复数据，不允许打回/失败重付/提交银企','提交银企；',',commitbe,',',save,','control');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472345639273683968;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCHECKOP,FCTRLTYPE) VALUES (1472345639273683968,'bei_banktransupbill',' ','bei_transdetail','保存；',1472345639273683968,'C','009','银行上划单vs交易明细',' ','1','存在重复数据，不允许打回/失败重付/提交银企','提交银企；',',commitbe,',',save,','control');


DELETE FROM T_FCS_SUSPECTSET_L WHERE FPKID = '2LUXHJK643TL';
INSERT INTO T_FCS_SUSPECTSET_L(FID,FPKID,FLOCALEID,FFAILMESSAGE,FLANDINGOPNAME,FCOMMENT,FCHECKOPNAME,FNAME) VALUES (1472356627679030272,'2LUXHJK643TL','zh_TW','存在重複數據，不允許打回/失敗重付/提交銀企',' ',' ',' ','銀行下撥單vs交易明細');
DELETE FROM T_FCS_SUSPECTSET_L WHERE FPKID = '2LUXHJK643TK';
INSERT INTO T_FCS_SUSPECTSET_L(FID,FPKID,FLOCALEID,FFAILMESSAGE,FLANDINGOPNAME,FCOMMENT,FCHECKOPNAME,FNAME) VALUES (1472356627679030272,'2LUXHJK643TK','zh_CN','存在重复数据，不允许打回/失败重付/提交银企','提交银企；',' ','保存；','银行下拨单vs交易明细');
DELETE FROM T_FCS_SUSPECTSET_L WHERE FPKID = '2LUV3+JLYDLG';
INSERT INTO T_FCS_SUSPECTSET_L(FID,FPKID,FLOCALEID,FFAILMESSAGE,FLANDINGOPNAME,FCOMMENT,FCHECKOPNAME,FNAME) VALUES (1472343787740081152,'2LUV3+JLYDLG','zh_CN','存在重复数据，不允许打回/失败重付/提交银企','提交银企；',' ','保存；','银行代发单vs交易明细');
DELETE FROM T_FCS_SUSPECTSET_L WHERE FPKID = '2LUVFGR2DNOY';
INSERT INTO T_FCS_SUSPECTSET_L(FID,FPKID,FLOCALEID,FFAILMESSAGE,FLANDINGOPNAME,FCOMMENT,FCHECKOPNAME,FNAME) VALUES (1472345639273683968,'2LUVFGR2DNOY','zh_CN','存在重复数据，不允许打回/失败重付/提交银企','提交银企；',' ','保存；','银行上划单vs交易明细');
DELETE FROM T_FCS_SUSPECTSET_L WHERE FPKID = '2LUV3+JLYDLH';
INSERT INTO T_FCS_SUSPECTSET_L(FID,FPKID,FLOCALEID,FFAILMESSAGE,FLANDINGOPNAME,FCOMMENT,FCHECKOPNAME,FNAME) VALUES (1472343787740081152,'2LUV3+JLYDLH','zh_TW','存在重複數據，不允許打回/失敗重付/提交銀企',' ',' ',' ','銀行代發單vs交易明細');
DELETE FROM T_FCS_SUSPECTSET_L WHERE FPKID = '2LUVFGR2DNOZ';
INSERT INTO T_FCS_SUSPECTSET_L(FID,FPKID,FLOCALEID,FFAILMESSAGE,FLANDINGOPNAME,FCOMMENT,FCHECKOPNAME,FNAME) VALUES (1472345639273683968,'2LUVFGR2DNOZ','zh_TW','存在重複數據，不允許打回/失敗重付/提交銀企',' ',' ',' ','銀行上劃單vs交易明細');


DELETE FROM T_FCS_SUSPECTSET_M WHERE FENTRYID = 1472343787765246976;
INSERT INTO T_FCS_SUSPECTSET_M(FID,FMATCHRECORD_TAG,FDESTFILTERRECORD,FDESTFILTERRECORD_TAG,FCHECKFILTERRECORD_TAG,FDESTFILTER,FENTRYID,FSEQ,FCHECKFILTERRECORD,FMATCHSCHEME,FCHECKFILTER,FMATCHRECORD)
VALUES (1472343787740081152,'[{"destname":"分录.对账标识码","checkkey":"originalbankcheckflag","destkey":"entrys.bankcheckflag","checkname":"单据头.对账标识码（银行返回）"}]',' ','{"expression":"","exprTran":"分录.对账标识码 不为空","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2LUV/Q/XDQWV","leftBracket":"","compareType":"9","fieldName":"bankcheckflag","rightBracket":"","logic":"0","value":[{"id":"2LUV/Q/XEHI4","value":""}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2LUV/Q/XDQWV\",\"leftBracket\":\"\",\"compareType\":\"9\",\"fieldName\":\"bankcheckflag\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2LUV/Q/XEHI4\",\"value\":\"\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"exprDesc":"分录.对账标识码 不为空","localeExprTran":{"zh_CN":"分录.对账标识码 不为空"}}','{"expression":"","exprTran":"交易日期 本周   or    交易日期 上周","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2LUV2GR9HCCG","leftBracket":"","compareType":"10","fieldName":"bizdate","rightBracket":"","logic":"1","value":[{"id":"2LUV2GR9GLR6","value":""}],"baseDataIds":[]},{"id":"2LUV2GR9HCCH","leftBracket":"","compareType":"61","fieldName":"bizdate","rightBracket":"","logic":"0","value":[{"id":"2LUV2GR9GLR7","value":""}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2LUV2GR9HCCG\",\"leftBracket\":\"\",\"compareType\":\"10\",\"fieldName\":\"bizdate\",\"rightBracket\":\"\",\"logic\":\"1\",\"value\":[{\"id\":\"2LUV2GR9GLR6\",\"value\":\"\"}],\"baseDataIds\":[]},{\"id\":\"2LUV2GR9HCCH\",\"leftBracket\":\"\",\"compareType\":\"61\",\"fieldName\":\"bizdate\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2LUV2GR9GLR7\",\"value\":\"\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"交易日期 本周   or    交易日期 上周"},"exprDesc":"交易日期 本周   or    交易日期 上周"}','分录.对账标识码 不为空',1472343787765246976,1,' ','分录.对账标识码 等于 单据头.对账标识码（银行返回）','交易日期 本周   or    交易日期 上周',' ');
DELETE FROM T_FCS_SUSPECTSET_M WHERE FENTRYID = 1472345639298849792;
INSERT INTO T_FCS_SUSPECTSET_M(FID,FMATCHRECORD_TAG,FDESTFILTERRECORD,FDESTFILTERRECORD_TAG,FCHECKFILTERRECORD_TAG,FDESTFILTER,FENTRYID,FSEQ,FCHECKFILTERRECORD,FMATCHSCHEME,FCHECKFILTER,FMATCHRECORD)
VALUES (1472345639273683968,'[{"destname":"分录.对账标识码","checkkey":"originalbankcheckflag","destkey":"entrys.bankcheckflag","checkname":"单据头.对账标识码（银行返回）"}]',' ','{"expression":"","exprTran":"分录.对账标识码 不为空","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2LUVDZNSVFD6","leftBracket":"","compareType":"9","fieldName":"bankcheckflag","rightBracket":"","logic":"0","value":[{"id":"2LUVDZNSW7/G","value":""}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2LUVDZNSVFD6\",\"leftBracket\":\"\",\"compareType\":\"9\",\"fieldName\":\"bankcheckflag\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2LUVDZNSW7/G\",\"value\":\"\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"exprDesc":"分录.对账标识码 不为空","localeExprTran":{"zh_CN":"分录.对账标识码 不为空"}}','{"expression":"","exprTran":"交易日期 本周   or    交易日期 上周","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2LUVFB9B53TZ","leftBracket":"","compareType":"10","fieldName":"bizdate","rightBracket":"","logic":"1","value":[{"id":"2LUVFB9B5WF8","value":""}],"baseDataIds":[]},{"id":"2LUVFB9B53U+","leftBracket":"","compareType":"61","fieldName":"bizdate","rightBracket":"","logic":"0","value":[{"id":"2LUVFB9B5WF9","value":""}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2LUVFB9B53TZ\",\"leftBracket\":\"\",\"compareType\":\"10\",\"fieldName\":\"bizdate\",\"rightBracket\":\"\",\"logic\":\"1\",\"value\":[{\"id\":\"2LUVFB9B5WF8\",\"value\":\"\"}],\"baseDataIds\":[]},{\"id\":\"2LUVFB9B53U+\",\"leftBracket\":\"\",\"compareType\":\"61\",\"fieldName\":\"bizdate\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2LUVFB9B5WF9\",\"value\":\"\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"交易日期 本周   or    交易日期 上周"},"exprDesc":"交易日期 本周   or    交易日期 上周"}','分录.对账标识码 不为空',1472345639298849792,1,' ','分录.对账标识码 等于 单据头.对账标识码（银行返回）','交易日期 本周   or    交易日期 上周',' ');
DELETE FROM T_FCS_SUSPECTSET_M WHERE FENTRYID = 1472356627712584704;
INSERT INTO T_FCS_SUSPECTSET_M(FID,FMATCHRECORD_TAG,FDESTFILTERRECORD,FDESTFILTERRECORD_TAG,FCHECKFILTERRECORD_TAG,FDESTFILTER,FENTRYID,FSEQ,FCHECKFILTERRECORD,FMATCHSCHEME,FCHECKFILTER,FMATCHRECORD)
VALUES (1472356627679030272,'[{"destname":"分录.对账标识码","checkkey":"originalbankcheckflag","destkey":"entrys.bankcheckflag","checkname":"单据头.对账标识码（银行返回）"}]',' ','{"expression":"","exprTran":"分录.对账标识码 不为空","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2LUXG//IA+04","leftBracket":"","compareType":"9","fieldName":"bankcheckflag","rightBracket":"","logic":"0","value":[{"id":"2LUXG//IAQNE","value":""}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2LUXG//IA+04\",\"leftBracket\":\"\",\"compareType\":\"9\",\"fieldName\":\"bankcheckflag\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2LUXG//IAQNE\",\"value\":\"\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"exprDesc":"分录.对账标识码 不为空","localeExprTran":{"zh_CN":"分录.对账标识码 不为空"}}','{"expression":"","exprTran":"交易日期 本周   or    交易日期 上周","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2LUXHERJT91P","leftBracket":"","compareType":"10","fieldName":"bizdate","rightBracket":"","logic":"1","value":[{"id":"2LUXHERJSHFE","value":""}],"baseDataIds":[]},{"id":"2LUXHERJT91Q","leftBracket":"","compareType":"61","fieldName":"bizdate","rightBracket":"","logic":"0","value":[{"id":"2LUXHERJSHFF","value":""}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2LUXHERJT91P\",\"leftBracket\":\"\",\"compareType\":\"10\",\"fieldName\":\"bizdate\",\"rightBracket\":\"\",\"logic\":\"1\",\"value\":[{\"id\":\"2LUXHERJSHFE\",\"value\":\"\"}],\"baseDataIds\":[]},{\"id\":\"2LUXHERJT91Q\",\"leftBracket\":\"\",\"compareType\":\"61\",\"fieldName\":\"bizdate\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2LUXHERJSHFF\",\"value\":\"\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"交易日期 本周   or    交易日期 上周"},"exprDesc":"交易日期 本周   or    交易日期 上周"}','分录.对账标识码 不为空',1472356627712584704,1,' ','分录.对账标识码 等于 单据头.对账标识码（银行返回）','交易日期 本周   or    交易日期 上周',' ');


/*  creator：IERP
请注意数据库属于资金库：dbkey="tmc"
示例：<SqlScript dbkey="tmc" Separator=";" Type="KSQL">preinsdata/kd_X.X.X_fcs_suspectset.sql</SqlScript>
*********************************************************************
*/
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1469567836585245696;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCHECKOP,FCTRLTYPE) VALUES (1469567836585245696,'cas_paybill',' ','cas_paybill','审核；提交；',1469567836585245696,'C','001','付款单vs付款单',' ','1','存在疑似重复数据，请人工落地确认','自动提交银企；提交银企；提交内部金融；背书；开票登记；',',commitbeifm,autocommitbe,committobe,recbook,endorse,commitbe,',',audit,submit,','landing');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472364454845885440;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCHECKOP,FCTRLTYPE) VALUES (1472364454845885440,'cas_paybill',' ','cas_agentpaybill','审核；提交；',1472364454845885440,'C','014','付款单vs代发单',' ','1','存在疑似重复数据，请人工落地确认','自动提交银企；提交银企；提交内部金融；背书；开票登记；',',autocommitbe,commitbeifm,committobe,endorse,recbook,commitbe,',',audit,submit,','landing');


DELETE FROM T_FCS_SUSPECTSET_L WHERE FPKID = '2LHJEOIVGTHV';
INSERT INTO T_FCS_SUSPECTSET_L(FID,FPKID,FLOCALEID,FFAILMESSAGE,FLANDINGOPNAME,FCOMMENT,FCHECKOPNAME,FNAME) VALUES (1469567836585245696,'2LHJEOIVGTHV','zh_CN','存在疑似重复数据，请人工落地确认','自动提交银企；提交银企；提交内部金融；背书；开票登记；',' ','审核；提交；','付款单vs付款单');
DELETE FROM T_FCS_SUSPECTSET_L WHERE FPKID = '2LUYZL+HJW2/';
INSERT INTO T_FCS_SUSPECTSET_L(FID,FPKID,FLOCALEID,FFAILMESSAGE,FLANDINGOPNAME,FCOMMENT,FCHECKOPNAME,FNAME) VALUES (1472364454845885440,'2LUYZL+HJW2/','zh_CN','存在疑似重复数据，请人工落地确认','自动提交银企；提交银企；提交内部金融；背书；开票登记；',' ','审核；提交；','付款单vs代发单');
DELETE FROM T_FCS_SUSPECTSET_L WHERE FPKID = '2LHJEOIVGTHW';
INSERT INTO T_FCS_SUSPECTSET_L(FID,FPKID,FLOCALEID,FFAILMESSAGE,FLANDINGOPNAME,FCOMMENT,FCHECKOPNAME,FNAME) VALUES (1469567836585245696,'2LHJEOIVGTHW','zh_TW','存在疑似重複數據，請人工落地確認',' ',' ',' ','付款單vs付款單');
DELETE FROM T_FCS_SUSPECTSET_L WHERE FPKID = '2LUYZL+HJW20';
INSERT INTO T_FCS_SUSPECTSET_L(FID,FPKID,FLOCALEID,FFAILMESSAGE,FLANDINGOPNAME,FCOMMENT,FCHECKOPNAME,FNAME) VALUES (1472364454845885440,'2LUYZL+HJW20','zh_TW','存在疑似重複數據，請人工落地確認',' ',' ',' ','付款單vs代發單');


DELETE FROM T_FCS_SUSPECTSET_M WHERE FENTRYID = 1469567836669131776;
INSERT INTO T_FCS_SUSPECTSET_M(FID,FMATCHRECORD_TAG,FDESTFILTERRECORD,FDESTFILTERRECORD_TAG,FCHECKFILTERRECORD_TAG,FDESTFILTER,FENTRYID,FSEQ,FCHECKFILTERRECORD,FMATCHSCHEME,FCHECKFILTER,FMATCHRECORD)
VALUES (1469567836585245696,'[{"destname":"银行账号.银行账号.银行账号","checkkey":"payeracctbank.bankaccountnumber","destkey":"payeracctbank.bankaccountnumber","checkname":"银行账号.银行账号.银行账号"},{"destname":"单据头.收款账号","checkkey":"payeebanknum","destkey":"payeebanknum","checkname":"单据头.收款账号"},{"destname":"付款币别.付款币别.货币代码","checkkey":"currency.number","destkey":"currency.number","checkname":"付款币别.付款币别.货币代码"},{"destname":"单据头.付款金额","checkkey":"actpayamt","destkey":"actpayamt","checkname":"单据头.付款金额"},{"destname":"单据头.摘要","checkkey":"description","destkey":"description","checkname":"单据头.摘要"},{"destname":"单据头.转账附言","checkkey":"usage","destkey":"usage","checkname":"单据头.转账附言"}]',' ',' ','{"expression":"","exprTran":"( 业务日期 本周   or    业务日期 上周 )  and    单据状态 不在……中 (退款,已作废,已退单,银行退票)","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2LHJMEA3KD1H","leftBracket":"(","compareType":"10","fieldName":"bizdate","rightBracket":"","logic":"1","value":[{"id":"2LHJMEA3KCD8","value":""}],"baseDataIds":[]},{"id":"2LHJMEA3KD1I","leftBracket":"","compareType":"61","fieldName":"bizdate","rightBracket":")","logic":"0","value":[{"id":"2LHJMEA3KCD9","value":""}],"baseDataIds":[]},{"id":"2N733ACWK4MZ","leftBracket":"","compareType":"34","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"2N733ACWJDOY","value":"I"},{"id":"2N733ACWK4N+","value":"H"},{"id":"2N733ACWJDOZ","value":"G"},{"id":"2N733ACWK4N/","value":"F"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2LHJMEA3KD1H\",\"leftBracket\":\"(\",\"compareType\":\"10\",\"fieldName\":\"bizdate\",\"rightBracket\":\"\",\"logic\":\"1\",\"value\":[{\"id\":\"2LHJMEA3KCD8\",\"value\":\"\"}],\"baseDataIds\":[]},{\"id\":\"2LHJMEA3KD1I\",\"leftBracket\":\"\",\"compareType\":\"61\",\"fieldName\":\"bizdate\",\"rightBracket\":\")\",\"logic\":\"0\",\"value\":[{\"id\":\"2LHJMEA3KCD9\",\"value\":\"\"}],\"baseDataIds\":[]},{\"id\":\"2N733ACWK4MZ\",\"leftBracket\":\"\",\"compareType\":\"34\",\"fieldName\":\"billstatus\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2N733ACWJDOY\",\"value\":\"I\"},{\"id\":\"2N733ACWK4N+\",\"value\":\"H\"},{\"id\":\"2N733ACWJDOZ\",\"value\":\"G\"},{\"id\":\"2N733ACWK4N/\",\"value\":\"F\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"( 业务日期 本周   or    业务日期 上周 )  and    单据状态 不在……中 (退款,已作废,已退单,银行退票)"},"exprDesc":"( 业务日期 本周   or    业务日期 上周 )  and    单据状态 不在……中 (退款,已作废,已退单,银行退票)"}',' ',1469567836669131776,1,' ','银行账号.银行账号.银行账号 等于 银行账号.银行账号.银行账号 and 单据头......','( 业务日期 本周   or    业务日期 上周 )  and    单据状态......',' ');
DELETE FROM T_FCS_SUSPECTSET_M WHERE FENTRYID = 1472364454871051264;
INSERT INTO T_FCS_SUSPECTSET_M(FID,FMATCHRECORD_TAG,FDESTFILTERRECORD,FDESTFILTERRECORD_TAG,FCHECKFILTERRECORD_TAG,FDESTFILTER,FENTRYID,FSEQ,FCHECKFILTERRECORD,FMATCHSCHEME,FCHECKFILTER,FMATCHRECORD)
VALUES (1472364454845885440,'[{"destname":"银行账号.银行账号.银行账号","checkkey":"payeracctbank.bankaccountnumber","destkey":"payeracctbank.bankaccountnumber","checkname":"银行账户.银行账户.银行账号"},{"destname":"付款币别.付款币别.货币代码","checkkey":"currency.number","destkey":"currency.number","checkname":"付款币别.付款币别.货币代码"},{"destname":"单据头.收款账号","checkkey":"entry.payeeacctbank","destkey":"payeebanknum","checkname":"分录.收款账号"},{"destname":"单据头.付款金额","checkkey":"entry.e_amount","destkey":"actpayamt","checkname":"分录.金额"},{"destname":"单据头.转账附言","checkkey":"entry.e_remark","destkey":"usage","checkname":"分录.转账附言"}]',' ',' ','{"expression":"","exprTran":"( 业务日期 本周   or    业务日期 上周 )  and    单据状态 不在……中 (已作废,已退单,银行退票,退款)","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2LUYZH4X9U3W","leftBracket":"(","compareType":"10","fieldName":"bizdate","rightBracket":"","logic":"1","value":[{"id":"2LUYZH4X91HL","value":""}],"baseDataIds":[]},{"id":"2LUYZH4X9U3X","leftBracket":"","compareType":"61","fieldName":"bizdate","rightBracket":")","logic":"0","value":[{"id":"2LUYZH4X91HM","value":""}],"baseDataIds":[]},{"id":"2N74A+S16/I2","leftBracket":"","compareType":"34","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"2N74A+S16RG3","value":"H"},{"id":"2N74A+S16/I3","value":"G"},{"id":"2N74A+S16RG4","value":"F"},{"id":"2N74A+S16/I4","value":"I"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2LUYZH4X9U3W\",\"leftBracket\":\"(\",\"compareType\":\"10\",\"fieldName\":\"bizdate\",\"rightBracket\":\"\",\"logic\":\"1\",\"value\":[{\"id\":\"2LUYZH4X91HL\",\"value\":\"\"}],\"baseDataIds\":[]},{\"id\":\"2LUYZH4X9U3X\",\"leftBracket\":\"\",\"compareType\":\"61\",\"fieldName\":\"bizdate\",\"rightBracket\":\")\",\"logic\":\"0\",\"value\":[{\"id\":\"2LUYZH4X91HM\",\"value\":\"\"}],\"baseDataIds\":[]},{\"id\":\"2N74A+S16/I2\",\"leftBracket\":\"\",\"compareType\":\"34\",\"fieldName\":\"billstatus\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2N74A+S16RG3\",\"value\":\"H\"},{\"id\":\"2N74A+S16/I3\",\"value\":\"G\"},{\"id\":\"2N74A+S16RG4\",\"value\":\"F\"},{\"id\":\"2N74A+S16/I4\",\"value\":\"I\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"( 业务日期 本周   or    业务日期 上周 )  and    单据状态 不在……中 (已作废,已退单,银行退票,退款)"},"exprDesc":"( 业务日期 本周   or    业务日期 上周 )  and    单据状态 不在……中 (已作废,已退单,银行退票,退款)"}',' ',1472364454871051264,1,' ','银行账号.银行账号.银行账号 等于 银行账户.银行账户.银行账号 and 付款币......','( 业务日期 本周   or    业务日期 上周 )  and    单据状态......',' ');



--BT-00900273 【规划验收】预设的“疑似防重配置”的编码、创建时间、创建人的命名
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1469685562100157440;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1469685562100157440,'cas_agentpaybill',' ','cas_agentpaybill','审核；提交；',1469685562100157440,'C','FCS_004_S','代发单vs代发单',' ',{ts'2018-08-08  18:08:08'},'1','存在疑似重复数据，请人工落地确认','自动提交银企；提交银企；付款；失败重付；',',autocommitbe,committobe,repay,pay,commitbe,',1,',audit,submit,','landing');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1469693853895232512;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1469693853895232512,'fca_transupbill',' ','fca_transupbill','审核；提交；',1469693853895232512,'C','FCS_007_S','上划处理vs上划处理',' ',{ts'2018-08-08  18:08:08'},'1','存在疑似重复数据，请人工落地确认','自动提交银企；确认已付款；提交银企；',',autocommitbei,commitbei,barpayconfirm,',1,',audit,submit,','landing');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1469695833967430656;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1469695833967430656,'bei_banktransupbill',' ','bei_banktransupbill','保存；提交；',1469695833967430656,'C','FCS_008_S','银行上划单vs银行上划单',' ',{ts'2018-08-08  18:08:08'},'1','存在疑似重复数据，请人工落地确认','审核；',',audit,',1,',save,submit,','landing');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472340967439739904;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1472340967439739904,'bei_bankagentpay',' ','bei_bankagentpay','保存；',1472340967439739904,'C','FCS_005_S','银行代发单vs银行代发单',' ',{ts'2018-08-08  18:08:08'},'1','存在疑似重复数据，请人工落地确认','提交银企；',',commitbe,',1,',save,','landing');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472343787740081152;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1472343787740081152,'bei_bankagentpay',' ','bei_transdetail','保存；',1472343787740081152,'C','FCS_006_S','银行代发单vs交易明细',' ',{ts'2018-08-08  18:08:08'},'1','存在重复数据，不允许打回/失败重付/提交银企','提交银企；',',commitbe,',1,',save,','control');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472345639273683968;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1472345639273683968,'bei_banktransupbill',' ','bei_transdetail','保存；',1472345639273683968,'C','FCS_009_S','银行上划单vs交易明细',' ',{ts'2018-08-08  18:08:08'},'1','存在重复数据，不允许打回/失败重付/提交银企','提交银企；',',commitbe,',1,',save,','control');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472350769704393728;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1472350769704393728,'fca_transdownbill',' ','fca_transdownbill','审核；提交；',1472350769704393728,'C','FCS_010_S','下拨处理vs下拨处理',' ',{ts'2018-08-08  18:08:08'},'1','存在疑似重复数据，请人工落地确认','自动提交银企；付款-银企互联；确认已付款；提交银企；',',autocommitbei,barpaybei,barpayconfirm,commitbei,',1,',audit,submit,','landing');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472354343779884032;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1472354343779884032,'bei_banktransdownbill',' ','bei_banktransdownbill','保存；提交；',1472354343779884032,'C','FCS_011_S','银行下拨单vs银行下拨单',' ',{ts'2018-08-08  18:08:08'},'1','存在疑似重复数据，请人工落地确认','审核；',',audit,',1,',save,submit,','landing');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472356627679030272;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1472356627679030272,'bei_banktransdownbill',' ','bei_transdetail','保存；',1472356627679030272,'C','FCS_012_S','银行下拨单vs交易明细',' ',{ts'2018-08-08  18:08:08'},'1','存在重复数据，不允许打回/失败重付/提交银企','提交银企；',',commitbe,',1,',save,','control');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472360312836512768;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1472360312836512768,'ifm_transhandlebill',' ','ifm_transhandlebill','审核；提交；',1472360312836512768,'C','FCS_013_S','付款交易处理vs付款交易处理',' ',{ts'2018-08-08  18:08:08'},'1','存在疑似重复数据，请人工落地确认','自动提交银企；确认付款；确认付款；提交银企；',',autocommitbe,confirm,confirmpay,pay,',1,',submit,audit,','landing');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1472364454845885440;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1472364454845885440,'cas_paybill',' ','cas_agentpaybill','审核；提交；',1472364454845885440,'C','FCS_014_S','付款单vs代发单',' ',{ts'2018-08-08  18:08:08'},'1','存在疑似重复数据，请人工落地确认','自动提交银企；提交银企；提交内部金融；背书；开票登记；',',autocommitbe,commitbeifm,committobe,endorse,recbook,commitbe,',1,',audit,submit,','landing');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1473054062772490240;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1473054062772490240,'bei_bankpaybill',' ','bei_banklog','保存；提交；',1473054062772490240,'C','FCS_015_S','银行付款单vs银企日志',' ',{ts'2018-08-08  18:08:08'},'1','银企日志存在重复的提交数据，不允许审核/提交银企','审核；提交银企；',',audit,commitbe,',1,',save,submit,','control');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1469567836585245696;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1469567836585245696,'cas_paybill',' ','cas_paybill','审核；提交；',1469567836585245696,'C','FCS_001_S','付款单vs付款单',' ',{ts'2018-08-08  18:08:08'},'1','存在疑似重复数据，请人工落地确认','自动提交银企；提交银企；提交内部金融；背书；开票登记；',',commitbeifm,autocommitbe,committobe,recbook,endorse,commitbe,',1,',audit,submit,','landing');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1469573566633654272;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1469573566633654272,'bei_bankpaybill',' ','bei_transdetail','保存；',1469573566633654272,'C','FCS_002_S','银行付款单vs交易明细',' ',{ts'2018-08-08  18:08:08'},'1','存在重复数据，不允许打回/失败重付/提交银企','打回；提交银企；失败重付；',',bitback,repay,commitbe,',1,',save,','control');
DELETE FROM T_FCS_SUSPECTSET WHERE FID = 1469672561469087744;
INSERT INTO T_FCS_SUSPECTSET(FID,FDESTENTITYID,FCHECKSIGNFIELD,FCHECKENTITYID,FCHECKOPNAME,FMASTERID,FSTATUS,FNUMBER,FNAME,FMESSAGEFIELD,FCREATETIME,FENABLE,FFAILMESSAGE,FLANDINGOPNAME,FLANDINGOP,FCREATORID,FCHECKOP,FCTRLTYPE) VALUES (1469672561469087744,'bei_bankpaybill',' ','bei_bankpaybill','保存；',1469672561469087744,'C','FCS_003_S','银行付款单vs银行付款单',' ',{ts'2018-08-08  18:08:08'},'1','存在疑似重复数据，请人工落地确认','提交银企；',',commitbe,',1,',save,','landing');